@charset "utf-8";

body,
.mainContents {
    height: max-content;
}

.mainContents {
    width: 70%;
    font-family: "Sen", sans-serif;
    font-optical-sizing: auto;
    font-weight: weight;
    font-style: normal;
}

/* グッズ → */
.shopItems {
    place-content: center;
    place-items: center;
    color: #fff;
    padding: 20px;
    display: grid;
    gap: 10px;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}

.item {
    overflow: hidden;
    max-width: 300px;
    cursor: pointer;
    grid-template-rows: subgrid;
    display: grid;
}

.itemPicture {
    width: 100%;
    aspect-ratio: 1 / 1;
    border-radius: 6px;
}

.item:hover .itemInner .itemPicture,
.item:hover .itemInner .itemPicture .slide {
    transform: scale(1.1);
    transition: transform 0.3s;
}

.itemInner {
    vertical-align: top;
}

.slider {
    display: flex;
    transition: transform 0.5s ease;
}





.slide {
    flex: 0 0 100%;
}

.itemTitle {
    padding-top: 10px;
}

.suzuriText {
    font-size: 16px;
}

.background {
    width: 30%;
    position: fixed;
    top: 0;
    right: 0;
}

/* モーダル → */

.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    z-index: 20;
}

.modalContent {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 40px;
    background-color: #ffffffda;
    color: #333;
    max-width: 80%;
    max-height: 80vh;
    min-width: 300px;
    padding: 20px;
    overflow: scroll;
    font-family: "Sen", sans-serif;
    font-optical-sizing: auto;
    font-weight: weight;
    font-style: normal;
}

.hidden {
    display: none;
}

.close {
    cursor: pointer;
    float: right;
    font-size: 30px;
}

.modalBody {
    margin: 30px auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.modalInner {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
    margin: 15px auto;
}

.modalInner img {
    width: 40%;
}

.modalBtn {
    background-color: #333;
    color: #fff;
    border: solid 1px #333;
    padding: 10px 20px;
    border-radius: 50px;
    font-family: "Walter Turncoat", "Kiwi Maru", cursive;
    font-weight: 400;
    font-style: normal;
    margin: 10px;
}

.modalBtn:hover {
    color: #333;
    background-color: #fff;
}

.modalBtnMercari {
    background-color: #E72121;
    color: #fff;
    border: solid 1px #E72121;
    margin-bottom: 10px;
}
.modalBtnBooth {
    background-color: #FC4D50;
    color: #fff;
    border: solid 1px #FC4D50;
    margin-top: 10px;
}

.modalBtnMercari:hover {
    background-color: #fff;
    color: #E72121;
}
.modalBtnBooth:hover {
    background-color: #fff;
    color: #FC4D50;
}

.modalText {
    line-height: 1.6em;
    padding: 20px;
}


/* モーダル ← */

/* グッズ ← */

/* pagetop → */
.topBtn {
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 100;
    font-size: 16px;
    opacity: 0;
    transform: translateY(20px);
    pointer-events: none;
    transition: opacity 0.4s ease, transform 0.4s ease;
}

.topBtn::before {
    content: "▶";
    display: inline-block;
    transform: rotate(-90deg);
}

.topBtn.active {
    opacity: 1;
    transform: translateY(0px);
    pointer-events: auto;
}

/* pagetop ← */
@media (max-width: 1024px) {
    .background {
        width: 100%;
        height: 100%;
    }
}

@media (max-width: 760px) {
    .mainContents {
        width: 100%;
    }

    .realItems {
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    }

}